<template>
    <b-row>
        <b-col v-for="project in projects" :key="project.code" lg="3" md="6" sm="6">
            <div class="mb-5 text-center">
                <router-link :to="{ name: 'project', params: {projectCode: project.code} }" @click.native="emitProjectClicked">
                    <b-img :src="`/img/projects/${project.cover}`" fluid class="home-img" />
                </router-link>
            </div>
        </b-col>
    </b-row>
</template>

<style lang="scss" scoped>
    .home-img {
        &:hover {
            opacity: 0.5;
        }
    }
</style>

<script>
    import projects from '../../data.json'

    import { BRow, BCol, BImg } from 'bootstrap-vue'

    export default {
        name: 'Home',
        components: {
            'b-row': BRow,
            'b-col': BCol,
            'b-img': BImg
        },
        data() {
            return {
                projects: projects
            }
        },
        methods: {
            emitProjectClicked() {
                this.$root.$emit('project_clicked');
            }
        }
    }
</script>
